Namespace vbpats
  Public Class Square
    Inherits Rectangle

    Public Sub New(ByVal x As Integer, _
        ByVal y As Integer, ByVal w As Integer)
      MyBase.New(x, y, w, w)
    End Sub
  End Class
End Namespace